[Bug 190212] [NEW] postinstall fails to run

LuisMondesi lemsx1 at gmail.com
Fri Feb 8 15:34:43 UTC 2008


Public bug reported:

Binary package hint: firefox

$> sudo apt-get install firefox
Reading package lists... Done
Building dependency tree       
Reading state information... Done
firefox is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0B of archives.
After unpacking 0B of additional disk space will be used.
Setting up firefox (2.0.0.12+2nobinonly+2-0ubuntu0.7.10) ...
dpkg: error processing firefox (--configure):
 subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
 firefox
E: Sub-process /usr/bin/dpkg returned an error code (1)


also, the postinstall script calls for update-desktop-database from the wrong path:

if [ -x /usr/sbin/update-desktop-database ]; then
    /usr/sbin/update-desktop-database
fi

It should read:

if [ -x /usr/bin/update-desktop-database ]; then
    /usr/bin/update-desktop-database
fi

$> dpkg -S /usr/bin/update-desktop-database 
desktop-file-utils: /usr/bin/update-desktop-database

$> uname -a
Linux zod 2.6.22-14-generic #1 SMP Fri Feb 1 04:59:50 UTC 2008 i686 GNU/Linux

$> lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 7.10
Release:        7.10
Codename:       gutsy

** Affects: firefox (Ubuntu)
     Importance: Undecided
         Status: New

-- 
postinstall fails to run
https://bugs.launchpad.net/bugs/190212
You received this bug notification because you are a member of Mozilla
Bugs, which is a bug contact for firefox in ubuntu.




More information about the Ubuntu-mozillateam-bugs mailing list